Request
curl --location 'https://openapi.gs-robot.com/openapi/v3/schedules/plans/simple/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{token}}' \
--data '{
"clientTime": 1760328396004,
"clientTimeZone": "Asia/Shanghai",
"loopCount": 1,
"mapResourceList": [
{
"floorIndex": 1,
"floorName": "1F",
"mapId": "140bbb83-fe48-4282-be25-c48252b9c660",
"mapName": "Factory 1F",
"mapResourceAreaId": "1",
"mapResourceId": "327594d9-df72-4950-94b2-64e6d02abdfb",
"mapResourceName": "area1",
"mapResourceType": "region",
"robotMapUuid": "140bbb83-fe48-4282-be25-c48252b9c660"
}
],
"planExecuteType": 2,
"planRepeatType": 0,
"planRepeatWeekly": [
1,
3,
5
],
"planStartDate": "2026-08-29",
"planStartTime": "10:30",
"planStopDate": "2099-12-31",
"planStopTime": "",
"robotSn": "TEST00-0000-000-B088",
"siteId": "site-1",
"siteMode": 0,
"taskAdvanceConfig": {
"autoPlanning": true,
"coverageMode": "standard",
"tempTaskPriority": false
},
"taskName": "Simple schedule",
"workMode": {
"mode": "wash",
"strength": "middle",
"subType": "wash",
"type": 0
}
}'
Version requirement: This API is supported only on AIO software version 1.6 and later.
Notes
workMode.modemust be a machine code available for the robot, using only lowercase letters, digits, and underscores.planStartDate,planStopDate, and time fields are validated usingclientTimeZone: the start date cannot be in the past, the end date cannot precede the start date, and a non-empty end time must be later than the start time.- Map resources, WorkModes, and date/time inputs are validated before downstream calls. Relevant business codes include
230004(resource not found),230005(WorkMode not matched),230011(invalid date),230012(invalid time), and230013(start date in the past). - Except for success code
0, failed responses use six-digitcodevalues.
Response
{
"code": 0,
"data": {},
"msg": "success"
}